# Enum XYSeriesRenderer.FillOutsideLine.Type

java.lang.Object
java.lang.Enum<XYSeriesRenderer.FillOutsideLine.Type>
com.codename1.charts.renderers.XYSeriesRenderer.FillOutsideLine.Type

All Implemented Interfaces:
  `Comparable<XYSeriesRenderer.FillOutsideLine.Type>`

Enclosing class:
  `XYSeriesRenderer.FillOutsideLine`

public static enum XYSeriesRenderer.FillOutsideLine.Type extends Enum<XYSeriesRenderer.FillOutsideLine.Type>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ABOVE`
  `BELOW`
  `BOUNDS_ABOVE`
  `BOUNDS_ALL`
  `BOUNDS_BELOW`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XYSeriesRenderer.FillOutsideLine.Type`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static XYSeriesRenderer.FillOutsideLine.Type[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final XYSeriesRenderer.FillOutsideLine.Type NONE

  - ### BOUNDS_ALL

    public static final XYSeriesRenderer.FillOutsideLine.Type BOUNDS_ALL

  - ### BOUNDS_BELOW

    public static final XYSeriesRenderer.FillOutsideLine.Type BOUNDS_BELOW

  - ### BOUNDS_ABOVE

    public static final XYSeriesRenderer.FillOutsideLine.Type BOUNDS_ABOVE

  - ### BELOW

    public static final XYSeriesRenderer.FillOutsideLine.Type BELOW

  - ### ABOVE

    public static final XYSeriesRenderer.FillOutsideLine.Type ABOVE

- ## Method Details

  - ### values

    public static XYSeriesRenderer.FillOutsideLine.Type[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static XYSeriesRenderer.FillOutsideLine.Type valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null